package com.company.example.db;

import java.util.List;
import java.util.Map;

import org.jdesigner.platform.data.Page;
import org.jdesigner.platform.db.domain.UpdateResult;
import org.jdesigner.platform.db.query.TableQuery;
import org.jdesigner.platform.exception.DatabaseException;

/**
 * GenericTableDAO
 * 
 * @author leesangboo
 * 
 */
abstract public class GenericTableDAO extends BaseDAO {

	abstract public String getTableName();

	protected Page selectAllPage(Map params, int start, int range, String sort, boolean desc) throws DatabaseException {
		TableQuery query = getPersistence().newTableQuery(getTableName());
		return query.execute().selectAllPage(start, range, sort, desc); //
	}

	protected List selectAll() throws DatabaseException {
		TableQuery query = getPersistence().newTableQuery(getTableName());
		return query.execute().selectAll(); //
	}

	protected long countAll() throws DatabaseException {
		TableQuery query = getPersistence().newTableQuery(getTableName());
		return query.execute().countAll(); //
	}

	protected Map selectByPrimaryKey(Map params) throws DatabaseException {
		TableQuery query = getPersistence().newTableQuery(getTableName(), params);
		return query.execute().selectByPrimaryKey(); //
	}

	protected UpdateResult insert(Map params) throws DatabaseException {
		TableQuery query = getPersistence().newTableQuery(getTableName(), params);
		return query.execute().insert(); //
	}

	protected UpdateResult update(Map params) throws DatabaseException {
		TableQuery query = getPersistence().newTableQuery(getTableName(), params);
		return query.execute().update(); //
	}

	protected UpdateResult delete(Map params) throws DatabaseException {
		TableQuery query = getPersistence().newTableQuery(getTableName(), params);
		return query.execute().delete(); //
	}

}
