package com.company.example.db.emp;

import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.db.query.NamedQuery;
import org.jdesigner.platform.exception.DatabaseException;

import com.company.example.db.BaseDAO;

/**
 * EmployeeDAO
 * 
 * @author leesangboo
 * 
 */
public class EmployeeDAO extends BaseDAO {

	@SuppressWarnings("unused")
	private static final Log log = LogFactory.getLog(EmployeeDAO.class);

	/**
	 * 사원 정보 맵을 조회한다.
	 * 
	 * @param params
	 * @return
	 * @throws DatabaseException
	 */
	public Map selectEmployeeMap(Map params) throws DatabaseException {
		NamedQuery query = getPersistence().newNamedQuery(getQueryPath("E00001.xml"), params);
		return query.execute().selectMap(); //
	}

	/**
	 * 사번에 해당하는 사용자 이메일 주소를 반환한다.
	 * 
	 * @param params
	 * @return
	 * @throws DatabaseException
	 */
	public String selectUserEmail(Map params) throws DatabaseException {
		NamedQuery query = getPersistence().newNamedQuery(getQueryPath("E00002.xml"), params);
		return (String) query.execute().selectObject(); //
	}

}
