package com.company.example.scheduling;

import java.io.File;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.scheduler.task.SchedulerTask;

import org.jdesigner.application.template.service.CommonServiceFactory;
import org.jdesigner.application.template.service.FileUploadService;

/**
 * <B>Temp File Delete Task</B>
 * 
 * @author SangBoo Lee
 * @date 2009. 11. 19.
 * @since 1.0
 * 
 */
public class TempFileDeleteTask extends SchedulerTask {

	private static final Log log = LogFactory.getLog(TempFileDeleteTask.class);

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.util.TimerTask#run()
	 */
	@Override
	public void run() {
		try {
			log.info("Temp file delete task start...");
			FileUploadService service = CommonServiceFactory.getFileUploadService();
			File dir = new File(service.getTempBaseDirPath());
			org.apache.commons.io.FileUtils.cleanDirectory(dir);
			log.info("Temp file delete task successfully completed.");
		} catch (Exception ex) {
			log.error("Temp file delete task failed.", ex);
		} finally {
			//
		}
	}

}
