package com.company.example.web.login;

import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.application.template.service.CommonServiceFactory;
import org.jdesigner.application.template.service.LoginEventListener;
import org.jdesigner.application.template.service.SecurityService;

import com.company.example.util.Constants;

/**
 * <B>PLMSLoginEventListener</B>
 * 
 * @author SangBoo Lee
 * @date 2009. 11. 19.
 * @since 1.0
 * 
 */
public class PLMSLoginEventListener implements LoginEventListener {

	private static final Log log = LogFactory.getLog(PLMSLoginEventListener.class);

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jdesigner.application.template.service.LoginEventListener#afterLoginFailure(javax.servlet.http.HttpServletRequest)
	 */
	public void afterLoginFailure(HttpServletRequest request) throws Exception {
		//
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jdesigner.application.template.service.LoginEventListener#afterLoginSuccess(javax.servlet.http.HttpServletRequest)
	 */
	public void afterLoginSuccess(HttpServletRequest request, String username) throws Exception {
		//
		//EmployeeService employeeService = new EmployeeService();
		Map params = new HashMap();
		params.put("username", username);
		//Map employee_map = employeeService.selectEmployeeMap(params);

		//
		//if(employee_map == null || employee_map.isEmpty()) throw new PLMSException("사원정보가 존재하지 않습니다. DDMS 사용자는 PT_TBL_USER_MANAGEMENT 테이블에 사용자가 정보가 존재해야 됩니다.");
		//request.getSession().setAttribute(Constants.SESSION_EMP_MAP_KEY, employee_map);

		//
		SecurityService service = CommonServiceFactory.getSecurityService();
		//service.bind(request.getSession());

		log.info("User login success : username=[" + service.getUserLogin().getUsername() + "], roles=[" + service.getUserLogin().getRoles() + "]");

		//
		params = new HashMap();
		params.put("jsession_id", request.getSession().getId());
		params.put("ip", service.getUserLogin().getIp());
		params.put("username", service.getUserLogin().getUsername());
		params.put("event_type", SecurityService.EVENT_LOGIN_TYPE);
		service.insertLoginHistory(params);

		//
		log.debug("Login history inserted : username=[" + service.getUserLogin().getUsername() + "]");
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jdesigner.application.template.service.LoginEventListener#afterLogout(javax.servlet.http.HttpServletRequest)
	 */
	public void afterLogout(HttpServletRequest request) throws Exception {
		request.getSession().removeAttribute(Constants.SESSION_EMP_MAP_KEY);

		//
		SecurityService service = CommonServiceFactory.getSecurityService();
		//service.bind(request.getSession());

		//
		Map params = new HashMap();
		params.put("jsession_id", request.getSession().getId());
		params.put("event_type", SecurityService.EVENT_LOGOUT_TYPE);
		service.insertLoginHistory(params);

		//
		log.debug("Logout history inserted : JSESSIONID=[" + request.getSession().getId() + "]");
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jdesigner.application.template.service.LoginEventListener#beforLogout(javax.servlet.http.HttpServletRequest)
	 */
	public void beforLogout(HttpServletRequest request) throws Exception {
		//

	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see org.jdesigner.application.template.service.LoginEventListener#beforeLogin(javax.servlet.http.HttpServletRequest)
	 */
	public void beforeLogin(HttpServletRequest request) throws Exception {
		//

	}

}
