/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.application.template.dao;

import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.db.domain.Sequence;
import org.jdesigner.platform.db.query.TableQuery;
import org.jdesigner.platform.exception.DatabaseException;
import org.jdesigner.platform.util.DateUtils;

/**
 * FileUploadDAO
 * 
 * @author SangBoo Lee
 * @date 2009. 11. 17.
 * @since 1.0
 * 
 */
public class FileUploadDAO extends ProjectBaseDAO {

	private static final Log log = LogFactory.getLog(FileUploadDAO.class);

	public FileUploadDAO() {
		log.debug("initialize...");
	}

	/**
	 * 업로드 히스토리 정보를 입력한다.
	 * 
	 * @param params
	 * @throws DatabaseException
	 */
	public void insertFileUploadHistory(Map params) throws DatabaseException {
		//
		params.put("seq", new Sequence("PLF_FILE_UPLOAD_HISTORY_SEQ"));
		params.put(INSERT_DATE_COLUMN, DateUtils.getToTimestamp());
		//
		TableQuery query = persistence.newTableQuery("PLF_FILE_UPLOAD_HISTORY", params);
		query.execute().insert();
	}

	/**
	 * 업로드 히스토리 정보를 수정한다.
	 * 
	 * @param params
	 * @throws DatabaseException
	 */
	public Map updateFileUploadHistory(Map params) throws DatabaseException {
		//
		params.put(LAST_UPDATE_DATE_COLUMN, DateUtils.getToTimestamp());
		//
		TableQuery query = null;
		//
		query = persistence.newTableQuery("PLF_FILE_UPLOAD_HISTORY", new String[] { "username", "mapping_id", "temp_file_name" }, params);
		query.execute().update();
		//
		query = persistence.newTableQuery("PLF_FILE_UPLOAD_HISTORY", new String[] { "username", "mapping_id", "temp_file_name" }, params);
		//
		return query.execute().selectByPrimaryKey();
	}

}
