/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.application.template.dao;

import org.jdesigner.platform.db.Persistence;
import org.jdesigner.platform.db.PersistenceManager;

/**
 * ProjectBaseDAO
 * 
 * @author leesangboo
 * 
 */
abstract public class ProjectBaseDAO {

	public static final String PERSISTENCE_ID = "application.template.dao.PERSISTENCE";

	protected static final String INSERT_DATE_COLUMN = "insert_date";

	protected static final String LAST_UPDATE_DATE_COLUMN = "last_update_date";

	/**
	 * 
	 */
	protected Persistence persistence;

	/**
	 * 
	 */
	public ProjectBaseDAO() {
		persistence = createPersistence();
	}

	/**
	 * Create persistence
	 * 
	 * @return
	 */
	private Persistence createPersistence() {
		return PersistenceManager.getPersistence(PERSISTENCE_ID);
	}

	/**
	 * @return the persistence
	 */
	public Persistence getPersistence() {
		return persistence;
	}

	/**
	 * @param persistence
	 *            the persistence to set
	 */
	public void setPersistence(Persistence persistence) {
		this.persistence = persistence;
	}

}
