/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.application.template.dao;

import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.data.Page;
import org.jdesigner.platform.db.query.NamedQuery;
import org.jdesigner.platform.db.query.TableQuery;
import org.jdesigner.platform.exception.DatabaseException;
import org.jdesigner.platform.util.DateUtils;

/**
 * 
 * @author JongNam Lim
 * @date 2010. 3. 2.
 * @since 1.0
 * 
 */
public class SampleDAO extends ProjectBaseDAO {

	private static final Log log = LogFactory.getLog(SampleDAO.class);

	/**
	 * SampleDAO
	 */
	public SampleDAO() {
		log.debug("initialize...");
	}

	public Page selectCodeGroupPage(Map params, int start, int range, String sort, boolean desc) throws DatabaseException {
		NamedQuery query = persistence.newNamedQuery(DAOConstants.BASE_PATH + "/SampleDAO.selectSamplePage.xml", params);
		return query.execute().selectPage(start, range, sort, desc); //
	}

	public Map selectSample(Map params) throws DatabaseException {
		TableQuery query = persistence.newTableQuery("PLF_SAMPLE_TABLE", params);
		return query.execute().selectByPrimaryKey();
	}

	public void insertSample(Map params) throws DatabaseException {
		params.put(INSERT_DATE_COLUMN, DateUtils.getToTimestamp()); //
		TableQuery query = persistence.newTableQuery("PLF_SAMPLE_TABLE", params);
		query.execute().insert();
	}

	public void updateSample(Map params) throws DatabaseException {
		params.put(LAST_UPDATE_DATE_COLUMN, DateUtils.getToTimestamp()); //
		TableQuery query = persistence.newTableQuery("PLF_SAMPLE_TABLE", params, true);
		query.execute().update();
	}

	public void deleteSample(Map params) throws DatabaseException {
		TableQuery query = persistence.newTableQuery("PLF_SAMPLE_TABLE", params);
		query.execute().delete();
	}

}