/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.application.template.scheduling;

import java.io.File;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.scheduler.task.SchedulerTask;

import org.jdesigner.application.template.service.CommonServiceFactory;
import org.jdesigner.application.template.service.FileUploadService;

/**
 * FileUploadTempFileDeleteTask
 * 
 * @author leesangboo
 * 
 */
public class FileUploadTempFileDeleteTask extends SchedulerTask {

	private static final Log log = LogFactory.getLog(FileUploadTempFileDeleteTask.class);

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.util.TimerTask#run()
	 */
	public void run() {
		try {
			log.info("Temp file delete task start...");
			FileUploadService service = CommonServiceFactory.getFileUploadService();
			File dir = new File(service.getTempBaseDirPath());
			org.apache.commons.io.FileUtils.cleanDirectory(dir);
			log.info("Temp file delete task successfully completed.");
		} catch (Exception ex) {
			log.error("Temp file delete task failed.", ex);
		} finally {
			//
		}
	}

}