/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.application.template.service;

import java.util.List;
import java.util.Map;

/**
 * <B>메일 서비스</B>
 * 
 * @author leesangboo
 * 
 */
public interface MailService {

	/**
	 * 메일을 전송한다.
	 * 
	 * @param to
	 * @param cc
	 * @param from
	 * @param subject
	 * @param text
	 * @param isHTML
	 * @param attachments
	 * @param priority
	 * @param saveStore
	 * @throws CommonServiceException
	 */
	public void sendMail(String[] to, String[] cc, String from, String subject, String text, boolean isHTML, List attachments, int priority, boolean saveStore) throws CommonServiceException;

	/**
	 * 템플릿 메일을 전송한다.
	 * 
	 * @param to
	 * @param cc
	 * @param from
	 * @param subject
	 * @param templateDir
	 * @param templateName
	 * @param map
	 * @param isHTML
	 * @param attachments
	 * @param priority
	 * @param saveStore
	 * @throws CommonServiceException
	 */
	public void sendTemplateMail(String[] to, String[] cc, String from, String subject, String templateFileName, Map map, boolean isHTML, List attachments, int priority, boolean saveStore)
			throws CommonServiceException;

}
