/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.application.template.service;

import javax.transaction.UserTransaction;

/**
 * <B>Transaction Service</B>
 * 
 * @author SangBoo Lee
 * @date 2009. 12. 18.
 * @since 1.0
 * 
 */
public interface TransactionService {

	/**
	 * JTA 트랜잭션을 시작한다.
	 * 
	 * @return
	 * @throws CommonServiceException
	 */
	public UserTransaction start() throws CommonServiceException;

	/**
	 * JTA 트랜잭션을 커밋한다.
	 * 
	 * @param userTransaction
	 * @throws CommonServiceException
	 */
	public void commit(UserTransaction userTransaction) throws CommonServiceException;

	/**
	 * JTA 트랜잭션을 록백한다.
	 * 
	 * @param userTransaction
	 * @throws CommonServiceException
	 */
	public void rollback(UserTransaction userTransaction) throws CommonServiceException;

}
