/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.application.template.web.system;

import java.util.Date;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.web.form.Form;
import org.jdesigner.platform.web.grid.Grid;

import org.jdesigner.application.template.service.AnalysisService;
import org.jdesigner.application.template.service.CommonServiceFactory;
import org.jdesigner.application.template.web.TemplateBaseActionBean;

/**
 * 성능 모니터링 액션 빈
 * 
 * @author leesangboo
 * 
 */
public class PerfMntBean extends TemplateBaseActionBean {

	private static final long serialVersionUID = 1L;

	private static final Log log = LogFactory.getLog(PerfMntBean.class);

	private AnalysisService analysisService;

	private Form search;
	private Form form;
	private Grid grid;

	public PerfMntBean() {
		init(); //
	}

	public void init() {
		log.info("ActionBean[" + this.getClass() + "] initialize...");

		// 서비스 초기화
		analysisService = CommonServiceFactory.getAnalysisService();

		// 웹 도매인 초기화
		form = new Form();
		search = new Form();
		grid = new Grid(0, 15);
	}

	public String index() throws Exception {
		// 검색 폼 기본 값
		search.put("insert_from_date", new Date());
		search.put("insert_to_date", new Date());
		//
		return SUCCESS;
	}

	/**
	 * 메모리 사용률 차트
	 * 
	 * @return
	 * @throws Exception
	 */
	public String chartMemory() throws Exception {
		return SUCCESS;
	}

	/**
	 * 모니터링 로그 그리드
	 * 
	 * @return
	 * @throws Exception
	 */
	public String grid() throws Exception {
		grid = new Grid(analysisService.selectMonitoringLogPage(search, grid.getStart(), grid.getRange(), grid.getSort(), grid.isDesc()));
		return Grid.FORWARD;
	}

	public Form getForm() {
		return form;
	}

	public void setForm(Form form) {
		this.form = form;
	}

	public Form getSearch() {
		return search;
	}

	public void setSearch(Form search) {
		this.search = search;
	}

	public Grid getGrid() {
		return grid;
	}

	public void setGrid(Grid grid) {
		this.grid = grid;
	}

}
