/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.db.parser;

import org.jdesigner.platform.db.query.Query;

/**
 * QuerySQLParser
 * @author leesangboo
 * 
 */
public class QuerySQLParser implements SQLParser {

	/**
	 * 파싱된 SQL을 반환한다.
	 * 
	 * @param query
	 * @return
	 * @throws QueryParsingException
	 */
	public String parseSQL(Object query, String mode) throws QueryParsingException {

		try {

			Query castQuery = (Query) query;
			if (query == null) {
				throw new QueryParsingException("Query is null, please setting query domain.");
			}

			String sql = "";

			SQLFactory sqlFactory = SQLFactory.getInstance();
			sql = sqlFactory.getSQL(castQuery);
			if (castQuery.getConverter() != null && !castQuery.getConverter().isEmpty()) {
				sql = SQLConverter.convert(sql, castQuery.getConverter(), query);
			}

			return sql; //

		} catch (Exception ex) {
			throw new QueryParsingException("QueryParser SQL parsing failed : " + ex.getMessage(), ex);
		}
	}
}
