/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.db.parser;

import java.util.Map;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import org.jdesigner.platform.db.parser.template.QueryTemplateProcessor;
import org.jdesigner.platform.db.parser.template.QueryTemplateProcessorFactory;

/**
 * <B>SQL Converter</B>
 * 
 * @author leesangboo
 * 
 */
public class SQLConverter {

	private static final Log log = LogFactory.getLog(SQLConverter.class);

	/**
	 * SQL Tempate를 Map의 값으로 컨버팅한다.
	 * 
	 * @param sql
	 * @param map
	 * @return
	 */
	public static String convert(String sql, Map dataModel, Object query) throws Exception {
		try {

			QueryTemplateProcessorFactory factory = QueryTemplateProcessorFactory.getInstance();
			QueryTemplateProcessor processor = factory.getQueryTemplateProcessor();
			return processor.process(sql, dataModel, query);

		} catch (Exception ex) {
			log.error("Query SQL convert failed.", ex);
			throw new QueryParsingException(ex.getMessage());
		}
	}

}
