/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.db.parser;

import java.net.URL;

import org.dom4j.Document;

import org.jdesigner.platform.util.ClassLoaderUtil;
import org.jdesigner.platform.util.Dom4jUtils;
import org.jdesigner.platform.util.ResourceUtils;

/**
 * SQLXMLDocumentLoader
 * 
 * @author leesangboo
 * 
 */
public class SQLXMLDocumentLoader {

	/**
	 * 
	 * @param path
	 * @return
	 * @throws QueryParsingException
	 */
	public Document load(String path) throws QueryParsingException {
		Document doc = null;
		try {
			//
			ClassLoader classLoader = ClassLoaderUtil.getClassLoader(this.getClass());
			URL url = ResourceUtils.getURL(classLoader, path);
			//
			if (ResourceUtils.isJarURL(url)) {
				doc = Dom4jUtils.getXmlDocument(url);
			} else {
				doc = Dom4jUtils.getXmlDocument(ResourceUtils.extractJarFileURL(url));
			}
			//
			return doc;
		} catch (Exception ex) {
			throw new QueryParsingException("SQL XML file in the specified path was not found : path=[" + path + "] : " + ex.getMessage());
		}
	}

}
