/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.db.provider.rdbms.oracle;

import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.sql.SQLException;

import org.apache.commons.dbutils.ResultSetHandler;

import org.jdesigner.platform.data.DataMap;
import org.jdesigner.platform.db.result.ColumnTypeResultObjectHandler;

/**
 * 
 * @author leesangboo
 *
 */
public class OracleDataMapResultSetHandler implements ResultSetHandler {

	/*
	 * 
	 */
	public Object handle(ResultSet rs) throws SQLException {
		DataMap output = new DataMap();
		if (rs.next()) {
			ResultSetMetaData meta = rs.getMetaData();
			int cols = meta.getColumnCount();
			for (int i = 0; i < cols; i++) {
				int columnIndex = (i + 1);
				String columnName = meta.getColumnName(columnIndex).toUpperCase();
				String columnType = meta.getColumnTypeName(columnIndex).toUpperCase();

				ColumnTypeResultObjectHandler handler = new OracleColumnTypeResultObjectHandler();
				output.put(meta.getColumnName(columnIndex).toLowerCase(), handler.getObject(rs, columnType, columnName, columnIndex));
			}
		} else {
			output = null;
		}
		return output;
	}
};