/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.scheduler.task;

import java.util.Vector;

/**
 * This class contains all <code>SchedulerTask</code> instances that a <code>SchedulerServlet</code> should run.
 * 
 * @author Pascal Essiembre
 * @version $Id: SchedulerTasks.java,v 1.1 2010/04/08 05:42:09 love Exp $
 */
public class SchedulerTasks {

	/** All tasks to execute */
	private Vector tasksList;

	/**
	 * Gets the tasksList
	 * 
	 * @return Returns a Vector
	 */
	public Vector getTasksList() {
		return tasksList;
	}

	/**
	 * Sets the tasksList
	 * 
	 * @param tasksList
	 *            The tasksList to set
	 */
	public void setTasksList(Vector tasksList) {
		this.tasksList = tasksList;
	}

}