/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web;

import java.util.HashMap;
import java.util.Map;

import javax.servlet.http.HttpServletRequest;

/**
 * ParameterUtils
 * 
 * @author SangBoo Lee
 * @since 1.0
 * 
 */
public class ParameterUtils {

	/**
	 * 
	 * @param map
	 * @return
	 */
	public static Map makeParameterMap(HttpServletRequest request) {
		Map newparams = new HashMap();
		Map map = request.getParameterMap();
		Object[] keys = map.keySet().toArray();
		for (int i = 0; i < keys.length; i++) {
			String key = (String) keys[i];
			if (map.get(key).getClass().isArray() && ((String[]) map.get(key)).length > 1) {
				Object[] values = ((String[]) map.get(key));
				newparams.put(key, values);
			} else {
				String value = ((String[]) map.get(keys[i]))[0];
				newparams.put(key, value);
			}
		}
		return newparams;
	}

}
