/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.platform.web.form;

import java.util.HashMap;
import java.util.Iterator;
import java.util.Map;

import org.apache.commons.lang.builder.ToStringBuilder;

import org.jdesigner.platform.data.DataException;

/**
 * 
 * <B>Form Bean</B>
 * 
 * 
 * @author SangBoo Lee
 * @since 1.0
 * 
 */
public abstract class FormBean {

	public FormBean() {
		//
	}

	public FormBean(Map map) {
		this.fromMap(map);
	}

	public String mode;

	/**
	 * 폼 모드를 반환한다.
	 * 
	 * @return
	 */
	public String getMode() {
		return mode;
	}

	/**
	 * 폼 모드를 설정한다.
	 * 
	 * @param mode
	 */
	public void setMode(String mode) {
		this.mode = mode;
	}

	/**
	 * FormBean을 Map으로 변환하여 반환한다.
	 * 
	 * @return
	 * @throws Exception
	 */
	public Map toMap() {
		try {
			//
			Map newmap = new HashMap();
			//
			Map map = new HashMap(org.apache.commons.beanutils.BeanUtils.describe(this));
			//
			if (map != null && !map.isEmpty()) {
				Iterator iter = map.entrySet().iterator();
				while (iter.hasNext()) {
					Map.Entry me = (Map.Entry) iter.next();
					String key = (String) me.getKey();
					Object value = me.getValue();
					if (value == null) {
						//
					} else {
						newmap.put(key, value);
					}
				}
				iter.remove();

			}
			//
			map.clear();
			map = null;
			//
			return newmap;
		} catch (Exception ex) {
			throw new DataException("Getting map failed from FormBean.", ex);
		}
	}

	/**
	 * Map으로 FormBean값을 복사한다.
	 * 
	 * @param map
	 * @throws Exception
	 */
	public void fromMap(Map map) {
		try {
			org.apache.commons.beanutils.BeanUtils.copyProperties(this, map);
		} catch (Exception ex) {
			throw new DataException("Setting map failed from FormBean.", ex);
		}
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
