/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.platform.web.httpmap;

import java.util.Enumeration;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;

/**
 * Map to wrap session scope attributes. <p/> <p/> <p/> Date: Mar 11, 2004 10:35:42 PM
 * 
 * @author Clinton Begin
 */
public class SessionMap extends BaseHttpMap {

	private HttpSession session;

	public SessionMap(HttpServletRequest request) {
		this.session = request.getSession();
	}

	protected Enumeration getNames() {
		return session.getAttributeNames();
	}

	protected Object getValue(Object key) {
		return session.getAttribute(String.valueOf(key));
	}

	protected void putValue(Object key, Object value) {
		session.setAttribute(String.valueOf(key), value);
	}

	protected void removeValue(Object key) {
		session.removeAttribute(String.valueOf(key));
	}
}
