/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.jdesigner.platform.web.locale;

import java.util.Locale;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

/**
 * <B>Locale Handler</B>
 * 
 * @author leesangboo
 * 
 */
public interface LocaleHandler {

	/**
	 * 사용자의 기본 지역(Locale)을 설정한다.
	 * 
	 * @param request
	 */
	public Locale getDefaultUserLocale();

	/**
	 * 사용자의 지역(Locale)을 반환한다.
	 * 
	 * @param request
	 * @return
	 */
	public Locale getUserLocale(HttpServletRequest request, HttpServletResponse response);

	/**
	 * 사용자의 지역(Locale)을 설정한다.
	 * 
	 * @param request
	 * @param locale
	 */
	public void setUserLocale(HttpServletRequest request, HttpServletResponse response, Locale inLocale);

}
