/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web.tag;

import org.apache.commons.lang.exception.NestableRuntimeException;

/**
 * JSPTagException
 * @author leesangboo
 *
 */
public class JSPTagException extends NestableRuntimeException {

	private static final long serialVersionUID = 1L;

	private Throwable exceptionCause = null;

	public JSPTagException(String msg) {
		super(msg);
	}

	public JSPTagException(String msg, Throwable exception) {
		super(msg, exception);
		this.exceptionCause = exception;
	}

	public void printStackTrace() {
		if (this.exceptionCause != null) {
			System.err.println("JSP Tag Exception : " + this.exceptionCause.toString());
			this.exceptionCause.printStackTrace();
		}
	}

}
