/*
 *  JDesigner (R) Web Application Development Platform 
 *  Copyright (C) 2010 JDesigner / SangBoo Lee (leesangboo@gmail.com)
 * 
 *  http://www.jdesigner.org/
 *  
 *  Please contact if you require licensing terms other
 *  than GPL-3 for this software.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package org.jdesigner.platform.web.tag.ui;

import java.io.Serializable;

import javax.servlet.jsp.JspException;
import javax.servlet.jsp.PageContext;
import javax.servlet.jsp.tagext.Tag;

public class TabTag extends TagHelper implements Tag, Serializable {

	private static final long serialVersionUID = 1L;

	private PageContext pc = null;

	private Tag parent = null;

	private String id = "";

	private String label = "";

	private String onclick = "";

	private boolean selected = false;

	public void setPageContext(PageContext p) {
		pc = p;
	}

	public void setParent(Tag t) {
		parent = t;
	}

	public Tag getParent() {
		return parent;
	}

	public int doStartTag() throws JspException {
		try {

			// String contextPath = ((HttpServletRequest)
			// pc.getRequest()).getContextPath();

			StringBuffer htmlBuffer = new StringBuffer();
			if (selected) {
				htmlBuffer.append("<td>");
				htmlBuffer.append("   <div id='" + id + "' onclick=\"" + onclick + "\" class='tab'>");
				htmlBuffer.append("   <table cellpadding='0' cellspacing='0' border='0'>");
				htmlBuffer.append("   <tr>");
				htmlBuffer.append("    <td id='" + id + "_left' class='tabLeftSel'></td>");
				htmlBuffer.append("    <td id='" + id + "_bg' class='tabBgSel' nowrap><span id='" + id + "_label' class='tabLabelSel'>" + label + "</span></td>");
				htmlBuffer.append("    <td id='" + id + "_right' class='tabRightSel'></td>");
				htmlBuffer.append("   </tr>");
				htmlBuffer.append("   </table>");
				htmlBuffer.append("   </div>");
				htmlBuffer.append("</td>");
			} else {
				htmlBuffer.append("<td>");
				htmlBuffer.append("   <div id='" + id + "' onclick=\"" + onclick + "\" class='tab'>");
				htmlBuffer.append("   <table cellpadding='0' cellspacing='0' border='0'>");
				htmlBuffer.append("   <tr>");
				htmlBuffer.append("    <td id='" + id + "_left' class='tabLeft'></td>");
				htmlBuffer.append("    <td id='" + id + "_bg' class='tabBg' nowrap><span id='" + id + "_label' class='tabLabel'>" + label + "</span></td>");
				htmlBuffer.append("    <td id='" + id + "_right' class='tabRight'></td>");
				htmlBuffer.append("   </tr>");
				htmlBuffer.append("   </table>");
				htmlBuffer.append("   </div>");
				htmlBuffer.append("</td>");
			}

			//
			pc.getOut().write(htmlBuffer.toString());

		} catch (Exception e) {
			throw new UITagException("TabsTag Exception : " + e.getMessage());
		}
		return EVAL_BODY_INCLUDE;
	}

	public int doEndTag() throws JspException {
		return EVAL_PAGE;
	}

	public void release() {
		pc = null;
		parent = null;

		id = "";
		label = "";
		onclick = "";
		selected = false;
	}

	public PageContext getPc() {
		return pc;
	}

	public void setPc(PageContext pc) {
		this.pc = pc;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	public String getOnclick() {
		return onclick;
	}

	public void setOnclick(String onclick) {
		this.onclick = onclick;
	}

	public boolean isSelected() {
		return selected;
	}

	public void setSelected(boolean selected) {
		this.selected = selected;
	}

}
